.login-title, .register-title{
        font-style: italic;
    
        margin-bottom: 40px;
        text-align: center;
}

.popup-login {
    display: none;

    align-items: center;
    justify-content: center;
    flex-direction: column;

    position: fixed;
    top: 50vh;
    left: 50%;
    transform: translate(-50%,-50%);
    z-index: 12;
    max-width: 400px;
    width: 80%;
    padding: 2rem;
    background-color: white;



    .login {
        width: 100%;
        

        &-button {
            width: 100%;
            background-color: #dace92;
            
            font-style: italic;
            height: 45px;
            border: none;
            color: white;
            letter-spacing: 2px;
            text-transform: uppercase;
            margin-bottom: 20px;
        }

        .register-button {
            width: 30%;
        }

        .clearfix {
            text-align: center;
            margin-top: 20px;

            span:last-of-type {
                font-weight: bold;
            }

            .register-button {
                background-color: black;
                color: white;
                
                font-style: italic;
                height: 45px;
                width: 70%;
                display: flex;
                align-items: center;
                justify-content: center;
                margin: auto;
                margin-top: 10px;
                text-transform: uppercase;
                letter-spacing: 2px;
            }
        }
    }

    form {
        width: 100%;
    
    .__field-row {
        width: 100%;
        display: flex;
        flex-direction: column;
        margin-bottom: 20px;

        .__form-input--invalid {
            border-bottom: 1px solid red;
        }

        input {
            border: none;
            border-bottom: 1px solid black;
            padding:10px 0;
            margin: 10px 0;
            line-height: normal;
        }
    }
}

  .js-close-popup-login {
      cursor: pointer;
      position: absolute;
      right: 2rem;
      top: 1rem;
      font-size: 2.8rem;

  }

}

.popup-register {
    display: none;

    align-items: center;
    justify-content: center;
    flex-direction: column;

    position: fixed;
    top: 50vh;
    left: 50%;
    transform: translate(-50%,-50%);
    z-index: 12;
    width: 50%;
    padding: 2rem;
    background-color: white;



@include sm() {
    width: 80%;
    overflow-y: scroll;
    height: 80vh;
    top: 55vh;
}

    .register {
        width: 100%;
        margin: auto;

        &-title {
            text-align: center;
        }

        @include sm() {
            height: 100%;

            form {
                margin-bottom: 20px;
    height: max-content;
            }
        }



        .field-row{
            display: flex;
            justify-content: space-around;

            @include sm() {
                flex-direction: column;
                margin: 0;
            }

            &:last-of-type {
                .__register-input {
                    width: 100%;
                }
            }

            .__register-input {
                width: 50%;
                display: flex;
                flex-direction: column;

                @include sm() {
                    width: 100%;
                    margin-bottom: 20px;
                }

                &:first-of-type {
                margin-right: 20px;
                    }

                .__form-input {
                    border: none;
                    border-bottom: 1px solid black;

                    &--invalid {
                        border-bottom: 1px solid red;
                    }
                }
            }


        }

        .button-register {
            margin: auto;
         
            font-style: italic;
            letter-spacing: 4px;
            width: 100%;
            max-width: 300px;
            height: 45px;
            font-size: 1.6rem;
            background-color:  #dace92;
        }
        
    }

    .js-close-popup-register {
        cursor: pointer;
        position: absolute;
        right: 2rem;
        top: 1rem;
        font-size: 2.8rem;
      
    }
}